# Method: bidders.pretargetingConfigs.removeTargetedSites

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedSites#try-it)

Removes targeted sites from the pretargeting configuration.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{pretargetingConfig=bidders/*/pretargetingConfigs/*}:removeTargetedSites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `pretargetingConfig` | `string` Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sites": [ string ] } ``` |

| Fields ||
|---|---|
| `sites[]` | `string` A list of site URLs to stop targeting in the pretargeting configuration. These values will be removed from the list of targeted URLs in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig.FIELDS.web_targeting`. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`